/***************************************************************
* Name:         stringExamples.h.h
*
* Purpose:      Function prototypes for stringExamples.c
*
* Course code:  21022105
* Student name: Marius Joldos
* E-mail:       Marius.Joldos@cs.utcluj.ro
****************************************************************
* Created:      2009-11-03
*
****************************************************************/
#ifndef STRINGEXAMPLES_H_H_INCLUDED
#define STRINGEXAMPLES_H_H_INCLUDED
#include <stdio.h>
#include <string.h>

// Global variables

// Functions
/* Using strcpy and strncpy */
extern void exStrcpyStrncpy();
/* Using strcat and strncat */
extern void exStrcatStrncat();
/* Using strcmp and strncmp */
extern void exStrcmpStrnCmp();
/* Using strchr */
extern void exStrchr();
/* Using strcspn */
extern void exStrcspn();
/* Using strpbrk */
extern void exStrpbrk();
/* Using strrchr */
extern void exStrrchr();
/* Using strspn */
extern void exStrspn();
/* Using strstr */
extern void exStrstr();
/* Using strtok */
extern void exStrtok();
/* Using memcpy */
extern void exMemcpy();
/* Using memmove */
extern void exMemmove();
/* Using memcmp */
extern void exMemcmp();
/* Using memchr */
extern void exMemchr();
/* Using memset */
extern void exMemset();
/* Using strerror */
extern void exStrerr();
/* Using strlen */
extern void exStrlen();


#endif // STRINGEXAMPLES_H_H_INCLUDED
